/*------------------------------------------------------------------------------
--  This file is a part of the libuc, microcontroler library
--  Copyright (C) 2011, Alexis Jeandet
--
--  This program is free software; you can redistribute it and/or modify
--  it under the terms of the GNU General Public License as published by
--  the Free Software Foundation; either version 3 of the License, or
--  (at your option) any later version.
--
--  This program is distributed in the hope that it will be useful,
--  but WITHOUT ANY WARRANTY; without even the implied warranty of
--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--  GNU General Public License for more details.
--
--  You should have received a copy of the GNU General Public License
--  along with this program; if not, write to the Free Software
--  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
-------------------------------------------------------------------------------
--                 Author : Alexis Jeandet
--                   Mail : alexis.jeandet@gmail.com
-------------------------------------------------------------------------------*/
#ifndef BSP_H
#define BSP_H
#include "LPC23xx.h"
#include <uart.h>


extern uartDev* UART0;
extern uartDev* UART1;
extern uartDev* UART2;
extern uartDev* UART3;

/*extern i2cDev* IIC0;
extern i2cDev* IIC1;
extern i2cDev* IIC2;

extern sspDev* SSP0;
extern sspDev* SSP1;

extern eeprom24lc0xDev eeprom0;*/

extern float VREF0;

extern unsigned int currentCpuFreq;

#define pll0useInternal 0
#define pll0useMainOsc 1
#define pll0useRTC 2


#define pll0setClksrc(src) if((unsigned int)(src)<3) CLKSRCSEL=(src)
#define pll0getClksrc (CLKSRCSEL & 3)

#define LEDS_ON 

#define LED1_ON 
#define LED2_ON 
#define LED3_ON 
#define LED4_ON 
#define LED5_ON 
#define LED6_ON 
#define LED7_ON 
#define LED8_ON 

#define LEDS_OFF 

#define LED1_OFF 
#define LED2_OFF 
#define LED3_OFF 
#define LED4_OFF 
#define LED5_OFF 
#define LED6_OFF 
#define LED7_OFF 
#define LED8_OFF 

extern int bsp_init();

extern void bsp_GPIO_init();
extern void bsp_uart_init();
extern void bsp_iic_init();
extern void bsp_ssp_init();
extern void consoleputc(char);
extern char consolegetc();

/*  VS1053  */
extern void clearXCS();
extern void setXCS();
extern int vs10XXDREQ();


#endif










